org.springframework.remoting.soap

## Class SoapFaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.remoting.RemoteAccessException
          - - org.springframework.remoting.RemoteInvocationFailureException
            - - org.springframework.remoting.soap.SoapFaultException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JaxRpcSoapFaultException, JaxWsSoapFaultException

    public abstract class SoapFaultException
    extends RemoteInvocationFailureException

RemoteInvocationFailureException subclass that provides the details of a SOAP fault.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `SOAPFaultException`, `SOAPFaultException`, Serialized Form

### Constructor Summary

Constructors
`protected` `SoapFaultException(String msg, Throwable cause)` Constructor for SoapFaultException.

### Method Summary

Methods
`abstract String` `getFaultActor()` Return the actor that caused this fault.
`abstract String` `getFaultCode()` Return the SOAP fault code.
`abstract QName` `getFaultCodeAsQName()` Return the SOAP fault code as a `QName` object.
`abstract String` `getFaultString()` Return the descriptive SOAP fault string.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SoapFaultException

    protected SoapFaultException(String msg,
                      Throwable cause)

Constructor for SoapFaultException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the SOAP API in use

### Method Detail

#### getFaultCode

    public abstract String getFaultCode()

Return the SOAP fault code.

#### getFaultCodeAsQName

    public abstract QName getFaultCodeAsQName()

Return the SOAP fault code as a `QName` object.

#### getFaultString

    public abstract String getFaultString()

Return the descriptive SOAP fault string.

#### getFaultActor

    public abstract String getFaultActor()

Return the actor that caused this fault.